org.eclipse.ecf.core.util

## Interface IClassResolver

All Known Implementing Classes:
  BundleClassResolver

    public interface IClassResolver

Since:
  3.7

### Field Summary

Fields
`static String` `BUNDLE_PROP_NAME`

### Method Summary

All Methods Instance Methods Abstract Methods
`Class<?>` `resolveClass(ObjectStreamClass desc)`

### Field Detail

#### BUNDLE_PROP_NAME

    static final String BUNDLE_PROP_NAME

See Also:
  Constant Field Values

### Method Detail

#### resolveClass

    Class<?> resolveClass(ObjectStreamClass desc)
                   throws ClassNotFoundException

Throws:
  `ClassNotFoundException`